#cocos creator 路径
CCocosCreator=/d/CocosDashboard_1.0.6/resources/.editors/Creator/2.4.0-alpha.1/CocosCreator.exe
#项目目录
projectPath=`pwd`

#服务器地址
host='192.168.0.154'

#默认重新打包  参数  -r 不重新打包.只上传
needPack=1

while getopts "p:h:r" arg #选项后面的冒号表示该选项需要参数
do
        case $arg in
             p)
                # echo "a's arg:$OPTARG" #参数存在$OPTARG中
                projectPath=$OPTARG
                ;;
             h)
                # echo "h = $OPTARG"
                host=$OPTARG
                ;;
            r)
                needPack=0
                ;;
             ?)  #当有不认识的选项的时候arg为?
            echo "unkonw argument"
        exit 1
        ;;
        esac
done

echo "project = "$projectPath
echo "host = "$host
echo 'needPack = '$needPack
platform='web-desktop'
debug=true
# platform='web-mobile'

buildParam="platform=$platform;md5Cache=true;renderMode=0;debug=$debug;previewWidth=960;previewHeight=540;sourceMaps=true;buildPath=build" 

# array=('oldPay')
# array=('samgong')
array=('v240')

if [ $needPack != 0 ] 
then
echo '打包'
$CCocosCreator --path $projectPath --build  $buildParam
fi

cd $projectPath/build/

# tar -czvf tem.tar.gz $platform
echo '压缩'
tar zcf tem.tar.gz -C $platform .


for folder in ${array[@]}
do 
echo $folder

#删除服务器目录
ssh root@$host "cd /usr/share/nginx/html/ && rm -rf $folder && mkdir $folder"

echo '上传'

scp tem.tar.gz  root@$host:/usr/share/nginx/html/$folder

echo '解压'

ssh root@$host "cd /usr/share/nginx/html/$folder/ && sudo tar -xzf /usr/share/nginx/html/$folder/tem.tar.gz"

starttime=$(date +%Y-%m-%d\ %H:%M:%S)
echo '完成' 
echo $starttime

echo "http://192.168.0.154/$folder"

done
#ssh root@192.168.0.154:/usr/share/nginx/html/aray/


